Bug 1313525 - MiniYum must support Obsoletes
MiniYum must support Obsoletes
Status: CLOSED NOTABUG
Product: otopi
Classification: oVirt
Component: Plugins.packagers (Show other bugs)
master
Unspecified Unspecified
urgent Severity unspecified (vote)
: ovirt-3.6.6
: ---
Assigned To: Yedidyah Bar David
Pavel Stehlik
:
Depends On:
Blocks: ovirt-node-ng
  Show dependency treegraph
 
Reported: 2016-03-01 14:20 EST by Fabian Deutsch
Modified: 2017-05-11 05:26 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-04 03:38:24 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Integration
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
fdeutsch: ovirt‑3.6.z?
fdeutsch: blocker?
fdeutsch: planning_ack?
fdeutsch: devel_ack?
fdeutsch: testing_ack?


Attachments (Terms of Use)
host deploy log (102.62 KB, text/plain)
2016-03-02 06:26 EST, Eli Mesika
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 54334 master MERGED spec: Add Provides in addition to Obsoletes 2016-03-04 03:41 EST

  None (edit)
Description Fabian Deutsch 2016-03-01 14:20:16 EST
Description of problem:
oVirt Node Next depends support for the rpm Obsoletes directives. MiniYum does currently not support Obsolete dependencies, but it should support it to allow oVirt node Next updates,

Version-Release number of selected component (if applicable):
3.6

How reproducible:
Always

Steps to Reproduce:
1. Try to get updates for packages which use the Obsoletes dependency to express an update
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Fabian Deutsch 2016-03-01 14:20:53 EST
This is currently blocking Engine initiated oVirt Node Next upgrade flow
Comment 2 Sandro Bonazzola 2016-03-02 03:09:33 EST
As far as I know, miniyum support obsoletes. If something goes wrong it's probably a bug in the spec file with the obsoletes directive.

Can you please provide full log and link to src.rpm of the packages failing the upgrade?
Comment 3 Fabian Deutsch 2016-03-02 06:21:28 EST
Eli, can you provide the logs?
Comment 5 Eli Mesika 2016-03-02 06:26 EST
Created attachment 1132254 [details]
host deploy log

This is the host deploy log , please search for "obsolete" to find  the relevant error that causes miniyum to rollback the yum transaction
Comment 6 Sandro Bonazzola 2016-03-04 03:38:24 EST
missing provides in https://gerrit.ovirt.org/gitweb?p=ovirt-node-ng.git;a=blob;f=packaging/ovirt-node-ng.spec.in;h=20fac922f422d97ab64ef6b6c7c082ed38eb77a0;hb=HEAD

Obsoletes:  ovirt-node-ng-image-update-placeholder <= %{version}-%{release}
missing: Provides: ovirt-node-ng-image-update-placeholder  %{version}-%{release}
and the obsoletes should be < not <=

Please reopen if after above changes it still fails.

Note You need to log in before you can comment on or make changes to this bug.